(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     40205,       1018]
NotebookOptionsPosition[     40631,       1009]
NotebookOutlinePosition[     41096,       1029]
CellTagsIndexPosition[     41053,       1026]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Moving a Force to a Point - Animation\n",
 StyleBox["Zhelong He, Marek-Jerzy Pindera \nUniversity of Virginia, \
2017-09-17",
  FontSize->16,
  FontColor->GrayLevel[0]]
}], "Title",
 TextAlignment->Center],

Cell[TextData[{
 "This modulus shows the animation of \[OpenCurlyDoubleQuote]Moving a Force \
to Another Point\[CloseCurlyDoubleQuote], aiming to give a more clear view \
about how the moment change during the moving process. \nIn the following \
modulus, initially we have a force ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["F", "\[RightVector]"], TraditionalForm]]],
 StyleBox[" ",
  FontSlant->"Italic"],
 "acting on point A, thus the moment it produces w.r.t. point B will be ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     OverscriptBox["M", "\[RightVector]"], "B0"], "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SubscriptBox[
        OverscriptBox["r", "\[RightVector]"], "A"], "-", 
       SubscriptBox[
        OverscriptBox["r", "\[RightVector]"], "B"]}], ")"}], "\[Times]", 
     OverscriptBox["F", "\[RightVector]"]}]}], TraditionalForm]]],
 ". \nWhen we move ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["F", "\[RightVector]"], TraditionalForm]]],
 StyleBox[" ",
  FontSlant->"Italic"],
 "from point A to point B along the line AB, say, we reach a point C locates \
at line AB. Since the magnitude of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox[
      OverscriptBox["r", "\[RightVector]"], "C"], "-", 
     SubscriptBox[
      OverscriptBox["r", "\[RightVector]"], "B"]}], ")"}], TraditionalForm]]],
 " is less than that of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox[
      OverscriptBox["r", "\[RightVector]"], "A"], "-", 
     SubscriptBox[
      OverscriptBox["r", "\[RightVector]"], "B"]}], ")"}], TraditionalForm]]],
 " while has the same direction, thus magnitude of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["M", "\[RightVector]"], "B"], TraditionalForm]]],
 " decrease while its direction remains the same, we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     OverscriptBox["M", "\[RightVector]"], "B"], "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SubscriptBox[
        OverscriptBox["r", "\[RightVector]"], "C"], "-", 
       SubscriptBox[
        OverscriptBox["r", "\[RightVector]"], "B"]}], ")"}], "\[Times]", 
     OverscriptBox["F", "\[RightVector]"]}]}], TraditionalForm]]],
 ". Meanwhile, the couple moment at C increases, from 0 (at initial point A) \
to the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     OverscriptBox["M", "\[RightVector]"], "C"], "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SubscriptBox[
        OverscriptBox["r", "\[RightVector]"], "A"], "-", 
       SubscriptBox[
        OverscriptBox["r", "\[RightVector]"], "C"]}], ")"}], "\[Times]", 
     OverscriptBox["F", "\[RightVector]"]}]}], TraditionalForm]]],
 " (at point C), the value of which can be gotten through the process in the \
previous modulus, i.e. \[OpenCurlyDoubleQuote]Moving a Force to Another Point\
\[CloseCurlyDoubleQuote]. When ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["F", "\[RightVector]"], TraditionalForm]]],
 StyleBox[" ",
  FontSlant->"Italic"],
 "reaches point B, or we can say C coincide with B, then the couple moment \
becomes ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     OverscriptBox["M", "\[RightVector]"], "C"], "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SubscriptBox[
        OverscriptBox["r", "\[RightVector]"], "A"], "-", 
       SubscriptBox[
        OverscriptBox["r", "\[RightVector]"], "B"]}], ")"}], "\[Times]", 
     OverscriptBox["F", "\[RightVector]"]}]}], TraditionalForm]]],
 ", which is the same with the ",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["M", "\[RightVector]"], "B0"], TraditionalForm]]],
 ". \nThrough this moving process, we can clearly see how the couple moment ",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["M", "\[RightVector]"], "C"], TraditionalForm]]],
 " increases and finally equals to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    OverscriptBox["M", "\[RightVector]"], "B0"], TraditionalForm]]],
 ". \n"
}], "Text"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`fax$$ = 0, $CellContext`fay$$ = 
    0, $CellContext`faz$$ = 0, $CellContext`opa0$$ = 1, $CellContext`rax$$ = 
    0, $CellContext`ray$$ = 0, $CellContext`raz$$ = 0, $CellContext`rbx$$ = 
    0, $CellContext`rby$$ = 0, $CellContext`rbz$$ = 
    0, $CellContext`showcouple$$ = False, $CellContext`size$$ = 
    2, $CellContext`step$$ = 1, $CellContext`time$$ = 0, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`size$$], 2, 
       Text[
        Style["Plot Range", 12]]}, {1, 2, 4, 8}}, {{
       Hold[$CellContext`opa0$$], 1, 
       Text[
        Style["Coordinate Visibility", 12]]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`step$$], 1, ""}, {1 -> Row[{
          Text[
           Style["Step", 12]], 
          Spacer[2], 
          Text[
           Style["1", 12]]}], 2 -> Row[{
          Text[
           Style["Step", 12]], 
          Spacer[2], 
          Text[
           Style["2", 12]]}], 3 -> Row[{
          Text[
           Style["Step", 12]], 
          Spacer[2], 
          Text[
           Style["3", 12]]}]}}, {{
       Hold[$CellContext`rax$$], 0, 
       Row[{
         Text[
          Style[
           Subscript[$CellContext`r, $CellContext`Ax], 12, Italic]], 
         Spacer[2.5]}]}, 
      Dynamic[-$CellContext`size$$], 
      Dynamic[$CellContext`size$$]}, {{
       Hold[$CellContext`ray$$], 0, 
       Row[{
         Text[
          Style[
           Subscript[$CellContext`r, $CellContext`Ay], 12, Italic]]}]}, 
      Dynamic[-$CellContext`size$$], 
      Dynamic[$CellContext`size$$]}, {{
       Hold[$CellContext`raz$$], 0, 
       Row[{
         Text[
          Style[
           Subscript[$CellContext`r, $CellContext`Az], 12, Italic]], 
         Spacer[2.]}]}, 
      Dynamic[-$CellContext`size$$], 
      Dynamic[$CellContext`size$$]}, {{
       Hold[$CellContext`fax$$], 0, 
       Row[{
         Text[
          Style[
           Subscript[$CellContext`F, $CellContext`x], 12, Italic]], 
         Spacer[6]}]}, 
      Dynamic[-$CellContext`size$$], 
      Dynamic[$CellContext`size$$]}, {{
       Hold[$CellContext`fay$$], 0, 
       Row[{
         Text[
          Style[
           Subscript[$CellContext`F, $CellContext`y], 12, Italic]], 
         Spacer[4]}]}, 
      Dynamic[-$CellContext`size$$], 
      Dynamic[$CellContext`size$$]}, {{
       Hold[$CellContext`faz$$], 0, 
       Row[{
         Text[
          Style[
           Subscript[$CellContext`F, $CellContext`z], 12, Italic]], 
         Spacer[6]}]}, 
      Dynamic[-$CellContext`size$$], 
      Dynamic[$CellContext`size$$]}, {{
       Hold[$CellContext`rbx$$], 0, 
       Row[{
         Text[
          Style[
           Subscript[$CellContext`r, $CellContext`Bx], 12, Italic]], 
         Spacer[0.5]}]}, 
      Dynamic[-$CellContext`size$$], 
      Dynamic[$CellContext`size$$]}, {{
       Hold[$CellContext`rby$$], 0, 
       Row[{
         Text[
          Style[
           Subscript[$CellContext`r, $CellContext`By], 12, Italic]], 
         Spacer[2.]}]}, 
      Dynamic[-$CellContext`size$$], 
      Dynamic[$CellContext`size$$]}, {{
       Hold[$CellContext`rbz$$], 0, 
       Row[{
         Text[
          Style[
           Subscript[$CellContext`r, $CellContext`Bz], 12, Italic]], 
         Spacer[1.]}]}, 
      Dynamic[-$CellContext`size$$], 
      Dynamic[$CellContext`size$$]}, {{
       Hold[$CellContext`showcouple$$], False, 
       Row[{
         Text[
          Style["Show couple moment at point B", 12]], 
         Spacer[50], 
         Text[
          Style["Show", 12]]}]}, {True, False}}, {{
       Hold[$CellContext`time$$], 0, 
       Row[{
         Text[
          Style["Move", 12]], 
         Spacer[3], 
         Text[
          Style["F", 12, Italic]], 
         Spacer[3], 
         Text[
          Style["to B", 12]], 
         Spacer[144]}]}, 0, 5}, {
      Hold[
       Grid[{{
          Row[{
            Manipulate`Place[1], 
            Spacer[77], 
            Manipulate`Place[2]}]}, {
          Row[{
            Manipulate`Place[3]}]}, {
          PaneSelector[{1 -> Column[{
               Row[{
                 Row[{
                   Text[
                    Style["F", 12, Italic]], 
                   Spacer[3], 
                   Text[
                    Style["location :", 12]], 
                   Spacer[45]}], 
                 Manipulate`Place[4], 
                 Spacer[5.], 
                 Manipulate`Place[5], 
                 Spacer[6.], 
                 Manipulate`Place[6]}], 
               Row[{
                 Row[{
                   Text[
                    Style["F", 12, Italic]], 
                   Spacer[3], 
                   Text[
                    Style["specification :", 12]], 
                   Spacer[20]}], 
                 Manipulate`Place[7], 
                 Spacer[4.5], 
                 Manipulate`Place[8], 
                 Spacer[5.], 
                 Manipulate`Place[9]}]}], 2 -> Row[{
               Text[
                Style["B", 12]], 
               Spacer[3], 
               Text[
                Style["location :", 12]], 
               Spacer[49], 
               Manipulate`Place[10], 
               Spacer[5.5], 
               Manipulate`Place[11], 
               Spacer[6.], 
               Manipulate`Place[12]}], 3 -> Column[{
               Row[{
                 Manipulate`Place[13], 
                 Spacer[50], 
                 Dynamic[
                  If[$CellContext`showcouple$$, $CellContext`temp1 = Row[{
                    Text[
                    Style[
                    Subscript[$CellContext`M, $CellContext`B], 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["=", 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["[", 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style[
                    Dynamic[
                    NumberForm[
                    Part[
                    
                    Cross[({$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} - {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$}) (1 - $CellContext`time$$/
                    5), {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}], 1], {3, 2}]], 12, Italic]], 
                    Spacer[6], 
                    Text[
                    Style[
                    Dynamic[
                    NumberForm[
                    Part[
                    
                    Cross[({$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} - {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$}) (1 - $CellContext`time$$/
                    5), {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}], 2], {3, 2}]], 12, Italic]], 
                    Spacer[6], 
                    Text[
                    Style[
                    Dynamic[
                    NumberForm[
                    Part[
                    
                    Cross[({$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} - {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$}) (1 - $CellContext`time$$/
                    5), {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}], 3], {3, 2}]], 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["]", 12, Italic]]}], 
                   Invisible[$CellContext`temp1]]]}], 
               Row[{
                 Manipulate`Place[14], 
                 Spacer[57], 
                 Dynamic[
                  If[$CellContext`time$$ > 0, $CellContext`temp2 = Row[{
                    Text[
                    Style[
                    Subscript[$CellContext`M, C], 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["=", 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["[", 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style[
                    Dynamic[
                    NumberForm[
                    Part[
                    
                    Cross[({$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} - {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$}) ($CellContext`time$$/
                    5), {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}], 1], {3, 2}]], 12, Italic]], 
                    Spacer[6], 
                    Text[
                    Style[
                    Dynamic[
                    NumberForm[
                    Part[
                    
                    Cross[({$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} - {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$}) ($CellContext`time$$/
                    5), {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}], 2], {3, 2}]], 12, Italic]], 
                    Spacer[6], 
                    Text[
                    Style[
                    Dynamic[
                    NumberForm[
                    Part[
                    
                    Cross[({$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} - {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$}) ($CellContext`time$$/
                    5), {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}], 3], {3, 2}]], 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["]", 12, Italic]]}], 
                   Invisible[$CellContext`temp2]]]}]}]}, 
           Dynamic[$CellContext`step$$]]}}, Alignment -> Left, 
        Spacings -> {Automatic, 0.7}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {750., {378., 385.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`size$42764$$ = 0, $CellContext`opa0$42765$$ = 
    False, $CellContext`step$42766$$ = False, $CellContext`rax$42767$$ = 
    0, $CellContext`ray$42768$$ = 0, $CellContext`raz$42769$$ = 
    0, $CellContext`fax$42770$$ = 0, $CellContext`fay$42771$$ = 
    0, $CellContext`faz$42772$$ = 0, $CellContext`rbx$42773$$ = 
    0, $CellContext`rby$42774$$ = 0, $CellContext`rbz$42775$$ = 
    0, $CellContext`showcouple$42776$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`fax$$ = 0, $CellContext`fay$$ = 
        0, $CellContext`faz$$ = 0, $CellContext`opa0$$ = 
        1, $CellContext`rax$$ = 0, $CellContext`ray$$ = 0, $CellContext`raz$$ = 
        0, $CellContext`rbx$$ = 0, $CellContext`rby$$ = 0, $CellContext`rbz$$ = 
        0, $CellContext`showcouple$$ = False, $CellContext`size$$ = 
        2, $CellContext`step$$ = 1, $CellContext`time$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`size$$, $CellContext`size$42764$$, 0], 
        Hold[$CellContext`opa0$$, $CellContext`opa0$42765$$, False], 
        Hold[$CellContext`step$$, $CellContext`step$42766$$, False], 
        Hold[$CellContext`rax$$, $CellContext`rax$42767$$, 0], 
        Hold[$CellContext`ray$$, $CellContext`ray$42768$$, 0], 
        Hold[$CellContext`raz$$, $CellContext`raz$42769$$, 0], 
        Hold[$CellContext`fax$$, $CellContext`fax$42770$$, 0], 
        Hold[$CellContext`fay$$, $CellContext`fay$42771$$, 0], 
        Hold[$CellContext`faz$$, $CellContext`faz$42772$$, 0], 
        Hold[$CellContext`rbx$$, $CellContext`rbx$42773$$, 0], 
        Hold[$CellContext`rby$$, $CellContext`rby$42774$$, 0], 
        Hold[$CellContext`rbz$$, $CellContext`rbz$42775$$, 0], 
        Hold[$CellContext`showcouple$$, $CellContext`showcouple$42776$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`dwf1$, $CellContext`dwf2$, $CellContext`dwf3$, \
$CellContext`dwf4$, $CellContext`dwf5$, $CellContext`dwf6$, \
$CellContext`dwf7$, $CellContext`dwf8$, $CellContext`dwf9$, \
$CellContext`dwf10$, $CellContext`dwf11$, $CellContext`dwf12$, \
$CellContext`dwf13$, $CellContext`dwf14$, $CellContext`dwf15$, \
$CellContext`dw1$, $CellContext`ra$, $CellContext`rb$, $CellContext`rba$, \
$CellContext`rab$, $CellContext`rca$, $CellContext`rbc$, $CellContext`fa$, \
$CellContext`mc$, $CellContext`md$, $CellContext`disk3D$, $CellContext`pc$, \
$CellContext`na$, $CellContext`nb$, $CellContext`pts$, $CellContext`pta$, \
$CellContext`pa$, $CellContext`pb$, $CellContext`w$, $CellContext`k$, \
$CellContext`v$, $CellContext`ts$, $CellContext`te$, $CellContext`mov$, \
$CellContext`momc$, $CellContext`momb$, $CellContext`norm$, \
$CellContext`radi$}, $CellContext`ra$ = {$CellContext`rax$$, \
$CellContext`ray$$, $CellContext`raz$$}; $CellContext`rb$ = \
{$CellContext`rbx$$, $CellContext`rby$$, $CellContext`rbz$$}; \
$CellContext`fa$ = {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}; $CellContext`rba$ = $CellContext`ra$ - $CellContext`rb$; \
$CellContext`rab$ = $CellContext`rb$ - $CellContext`ra$; $CellContext`momc$ = 
         Cross[$CellContext`rca$, $CellContext`fa$]; $CellContext`momb$ = 
         Cross[$CellContext`rbc$, $CellContext`fa$]; $CellContext`mc$ = 
         Cross[$CellContext`rba$, $CellContext`fa$]; $CellContext`norm$ = 
         If[Norm[$CellContext`mc$] != 0, $CellContext`mc$, {1, 1, 
           100}]; $CellContext`radi$ = 
         If[Norm[$CellContext`rba$] != 0, (Norm[$CellContext`rba$]/2) 1.3, 
           1]; $CellContext`ts$ = 0; $CellContext`te$ = 5; $CellContext`v$ = 
         Norm[$CellContext`rba$]/($CellContext`te$ - $CellContext`ts$); \
$CellContext`mov$ = NDSolveValue[{D[
              $CellContext`px[$CellContext`t], $CellContext`t] == \
$CellContext`v$, $CellContext`px[0] == 
            0}, $CellContext`px, {$CellContext`t, $CellContext`ts$, \
$CellContext`te$}]; $CellContext`rca$ = $CellContext`mov$[$CellContext`t] 
          Normalize[$CellContext`rba$]; $CellContext`rbc$ = $CellContext`rba$ - \
$CellContext`rca$; $CellContext`md$ = $CellContext`ra$ + 
          0.1 (Normalize[$CellContext`fa$] + 
            Normalize[$CellContext`mc$]); $CellContext`pb$ = $CellContext`rb$ + \
(2/3) $CellContext`momb$; $CellContext`pa$ = $CellContext`ra$ + (2/
            3) $CellContext`momc$; $CellContext`na$ = 
         0.15 Normalize[$CellContext`rba$]; $CellContext`nb$ = 0.15 Normalize[
            
            Cross[$CellContext`mc$, $CellContext`rba$]]; $CellContext`pts$ = \
{$CellContext`pb$ - $CellContext`na$, $CellContext`pb$ - $CellContext`na$ + \
$CellContext`nb$, $CellContext`pb$ + $CellContext`na$ + $CellContext`nb$, \
$CellContext`pb$ + $CellContext`na$, $CellContext`pb$ + $CellContext`na$ - \
$CellContext`nb$, $CellContext`pb$ - $CellContext`na$ - $CellContext`nb$, \
$CellContext`pb$ - $CellContext`na$}; $CellContext`pta$ = {$CellContext`pa$ - \
$CellContext`na$, $CellContext`pa$ - $CellContext`na$ + $CellContext`nb$, \
$CellContext`pa$ + $CellContext`na$ + $CellContext`nb$, $CellContext`pa$ + \
$CellContext`na$, $CellContext`pa$ + $CellContext`na$ - $CellContext`nb$, \
$CellContext`pa$ - $CellContext`na$ - $CellContext`nb$, $CellContext`pa$ - \
$CellContext`na$}; $CellContext`w$ = {
          1, 0.5, 0.5, 1, 0.5, 0.5, 1}; $CellContext`k$ = {
          0, 0, 0, 1/4, 1/2, 1/2, 3/4, 1, 1, 1}; $CellContext`disk3D$[
           Optional[
            Pattern[$CellContext`centre, 
             Blank[]], {0, 0, 0}], 
           Optional[
            Pattern[$CellContext`radius, 
             Blank[]], 1], 
           Optional[
            Pattern[$CellContext`normal, 
             Blank[]], {0, 0, 1}], 
           Optional[
            Pattern[$CellContext`angle, 
             Blank[]], {0, 2 Pi}]] := Polygon[
           Map[
            
            RotationTransform[{{0, 0, 
              1}, $CellContext`normal}, $CellContext`centre]][
            (If[First[
               Differences[$CellContext`angle]] >= 2 Pi, #, 
             Append[#, $CellContext`centre]]& )[
             Map[Append[#, 
               Last[$CellContext`centre]]& ][
              (SortBy[#, N[
                Apply[ArcTan, # - Most[$CellContext`centre]]]& ]& )[
               MeshCoordinates[
                DiscretizeRegion[
                 Circle[
                  
                  Most[$CellContext`centre], $CellContext`radius, \
$CellContext`angle]]]]]]]]; $CellContext`dwf1$ = {
           Opacity[$CellContext`opa0$$], Gray, 
           Thickness[0.002], 
           Arrowheads[0.02], 
           Arrow[{{-$CellContext`size$$, 0, 0}, {$CellContext`size$$, 0, 0}}], 
           Arrow[{{0, -$CellContext`size$$, 0}, {0, $CellContext`size$$, 0}}], 
           Arrow[{{0, 0, -$CellContext`size$$}, {0, 0, $CellContext`size$$}}], 
           Text[
           "\!\(\*\nStyleBox[\"x\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {
            1.1 $CellContext`size$$, (-0.05) $CellContext`size$$, (-0.05) \
$CellContext`size$$}], 
           Text[
           "\!\(\*\nStyleBox[\"y\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {(-0.05) $CellContext`size$$, 
             1.1 $CellContext`size$$, 0.05 $CellContext`size$$}], 
           Text[
           "\!\(\*\nStyleBox[\"z\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {(-0.05) $CellContext`size$$, (-0.05) \
$CellContext`size$$, 1.1 $CellContext`size$$}]}; $CellContext`dwf2$ = {
           Opacity[0.05], 
           RGBColor[0.2, 0.05, 0.1], 
           Sphere[{0, 0, 0}, 1. $CellContext`size$$]}; $CellContext`dwf3$ = {
           PointSize[0.01], 
           Point[{$CellContext`ra$}]}; $CellContext`dwf4$ = {
           Opacity[
            Boole[Norm[$CellContext`ra$] != 0]], 
           Text[
            Style[
             Subscript[$CellContext`r, $CellContext`A], 12, 
             Italic], {$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} + (0.1 $CellContext`size$$) {1, 1, 
              1}]}; $CellContext`dwf5$ = {
           Thickness[0.004], Red, 
           Arrowheads[0.02], 
           
           Arrow[{{$CellContext`ra$ - $CellContext`rca$, $CellContext`ra$ - \
$CellContext`rca$ + $CellContext`fa$}}]}; $CellContext`dwf6$ = {
           Opacity[
            Boole[
             Or[$CellContext`step$$ == 2, $CellContext`step$$ == 3]]], 
           Thickness[0.004], 
           PointSize[0.01], 
           Point[{$CellContext`rb$}]}; $CellContext`dwf7$ = {
           Opacity[
            Boole[
             And[Norm[$CellContext`rb$] != 0, 
              Or[$CellContext`step$$ == 2, $CellContext`step$$ == 3]]]], 
           Text[
            Style[
             Subscript[$CellContext`r, $CellContext`B], 12, 
             Italic], {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$} + (0.1 $CellContext`size$$) {1, 1, 
              1}]}; $CellContext`dwf8$ = {
           Opacity[
            Boole[$CellContext`step$$ == 3]], 
           Thickness[0.004], Blue, 
           Arrowheads[0.02], 
           
           Arrow[{$CellContext`ra$ - $CellContext`rca$, $CellContext`ra$ - \
$CellContext`rca$ + $CellContext`momc$}]}; $CellContext`dwf9$ = {
           Opacity[
            Boole[
             
             And[$CellContext`step$$ == 
              3, $CellContext`showcouple$$, $CellContext`time$$ != 5]]], 
           Thickness[0.004], Blue, 
           Arrowheads[0.02], 
           
           Arrow[{$CellContext`rb$, $CellContext`rb$ + $CellContext`momb$}]}; \
$CellContext`dwf10$ = {
           Opacity[0.3 Boole[
              And[$CellContext`step$$ == 3, $CellContext`showcouple$$]]], 
           Darker[Green], 
           $CellContext`disk3D$[($CellContext`ra$ + $CellContext`rb$)/
            2, $CellContext`radi$, $CellContext`norm$, {
            0, 2 Pi}]}; $CellContext`dwf11$ = {
           Opacity[
            Boole[
             
             And[$CellContext`step$$ == 
              3, $CellContext`showcouple$$, $CellContext`time$$ != 5]]], 
           Thickness[0.004], Magenta, 
           Tube[
            
            BSplineCurve[$CellContext`pts$, SplineDegree -> 2, 
             SplineKnots -> $CellContext`k$, 
             SplineWeights -> $CellContext`w$], 0.01], Blue, 
           Text[
            Style[
             Subscript[$CellContext`M, $CellContext`B], 12, 
             Italic], $CellContext`rb$ + 
            1.15 $CellContext`momb$]}; $CellContext`dwf12$ = {
           Opacity[
            Boole[
             
             And[$CellContext`step$$ == 
              3, $CellContext`showcouple$$, $CellContext`time$$ != 5]]], 
           Magenta, 
           
           Cone[{$CellContext`rb$ + (2/
               3) $CellContext`momb$ + $CellContext`na$, $CellContext`rb$ + (
               2/3) $CellContext`momb$ + (1/Sqrt[1^2 + 1^2]) (
               1 $CellContext`na$ + $CellContext`nb$)}, 
            0.05]}; $CellContext`dwf13$ = {
           Opacity[
            Boole[
             And[$CellContext`step$$ == 3, $CellContext`time$$ > 0]]], 
           Thickness[0.004], Magenta, 
           Tube[
            
            BSplineCurve[$CellContext`pta$ - {$CellContext`rca$, \
$CellContext`rca$, $CellContext`rca$, $CellContext`rca$, $CellContext`rca$, \
$CellContext`rca$, $CellContext`rca$}, SplineDegree -> 2, 
             SplineKnots -> $CellContext`k$, 
             SplineWeights -> $CellContext`w$], 0.01], Blue, 
           Text[
            Style[
             Subscript[$CellContext`M, C], 12, 
             Italic], $CellContext`ra$ - $CellContext`rca$ + 
            1.15 $CellContext`momc$]}; $CellContext`dwf14$ = {
           Opacity[
            Boole[
             And[$CellContext`step$$ == 3, $CellContext`time$$ > 0]]], 
           Magenta, 
           
           Cone[{$CellContext`ra$ + (2/
               3) $CellContext`momc$ + $CellContext`na$ - $CellContext`rca$, \
$CellContext`ra$ + (2/3) $CellContext`momc$ + (1/Sqrt[1^2 + 1^2]) (
               1 $CellContext`na$ + $CellContext`nb$) - $CellContext`rca$}, 
            0.05]}; $CellContext`dwf15$ = {
           Opacity[
            Boole[
             And[$CellContext`step$$ == 3, $CellContext`time$$ > 0]]], 
           Thickness[0.004], 
           
           Line[{$CellContext`md$ - $CellContext`rca$, $CellContext`ra$ - \
$CellContext`rca$ + 0.1 Normalize[$CellContext`fa$]}], 
           
           Line[{$CellContext`md$ - $CellContext`rca$, $CellContext`ra$ - \
$CellContext`rca$ + 0.1 Normalize[$CellContext`mc$]}]}; $CellContext`dw1$ = 
         Graphics3D[{$CellContext`dwf1$, $CellContext`dwf2$, \
$CellContext`dwf3$, $CellContext`dwf4$, $CellContext`dwf6$, \
$CellContext`dwf7$, 
            Evaluate[
             
             ReplaceAll[{$CellContext`dwf5$, $CellContext`dwf8$, \
$CellContext`dwf9$, $CellContext`dwf11$, $CellContext`dwf13$, \
$CellContext`dwf15$}, {$CellContext`t -> $CellContext`time$$}]], 
            EdgeForm[{}], $CellContext`dwf10$, 
            Evaluate[
             
             ReplaceAll[{$CellContext`dwf12$, $CellContext`dwf14$}, \
{$CellContext`t -> $CellContext`time$$}]]}, PlotRange -> 
           1.05 $CellContext`size$$, Boxed -> False, 
           ViewPoint -> {
            0.5 $CellContext`size$$, -$CellContext`size$$, 
             0.5 $CellContext`size$$}, ImageSize -> 500]; $CellContext`dw1$], 
      "Specifications" :> {{{$CellContext`size$$, 2, 
          Text[
           Style["Plot Range", 12]]}, {1, 2, 4, 8}, ImageSize -> Tiny, 
         ControlType -> Setter, ControlPlacement -> 
         1}, {{$CellContext`opa0$$, 1, 
          Text[
           Style["Coordinate Visibility", 12]]}, {1 -> "On", 0 -> "Off"}, 
         ControlType -> RadioButton, ControlPlacement -> 
         2}, {{$CellContext`step$$, 1, ""}, {1 -> Row[{
             Text[
              Style["Step", 12]], 
             Spacer[2], 
             Text[
              Style["1", 12]]}], 2 -> Row[{
             Text[
              Style["Step", 12]], 
             Spacer[2], 
             Text[
              Style["2", 12]]}], 3 -> Row[{
             Text[
              Style["Step", 12]], 
             Spacer[2], 
             Text[
              Style["3", 12]]}]}, ControlType -> SetterBar, ControlPlacement -> 
         3}, {{$CellContext`rax$$, 0, 
          Row[{
            Text[
             Style[
              Subscript[$CellContext`r, $CellContext`Ax], 12, Italic]], 
            Spacer[2.5]}]}, 
         Dynamic[-$CellContext`size$$], 
         Dynamic[$CellContext`size$$], ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 4}, {{$CellContext`ray$$, 0, 
          Row[{
            Text[
             Style[
              Subscript[$CellContext`r, $CellContext`Ay], 12, Italic]]}]}, 
         Dynamic[-$CellContext`size$$], 
         Dynamic[$CellContext`size$$], ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 5}, {{$CellContext`raz$$, 0, 
          Row[{
            Text[
             Style[
              Subscript[$CellContext`r, $CellContext`Az], 12, Italic]], 
            Spacer[2.]}]}, 
         Dynamic[-$CellContext`size$$], 
         Dynamic[$CellContext`size$$], ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 6}, {{$CellContext`fax$$, 0, 
          Row[{
            Text[
             Style[
              Subscript[$CellContext`F, $CellContext`x], 12, Italic]], 
            Spacer[6]}]}, 
         Dynamic[-$CellContext`size$$], 
         Dynamic[$CellContext`size$$], ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 7}, {{$CellContext`fay$$, 0, 
          Row[{
            Text[
             Style[
              Subscript[$CellContext`F, $CellContext`y], 12, Italic]], 
            Spacer[4]}]}, 
         Dynamic[-$CellContext`size$$], 
         Dynamic[$CellContext`size$$], ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 8}, {{$CellContext`faz$$, 0, 
          Row[{
            Text[
             Style[
              Subscript[$CellContext`F, $CellContext`z], 12, Italic]], 
            Spacer[6]}]}, 
         Dynamic[-$CellContext`size$$], 
         Dynamic[$CellContext`size$$], ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 9}, {{$CellContext`rbx$$, 0, 
          Row[{
            Text[
             Style[
              Subscript[$CellContext`r, $CellContext`Bx], 12, Italic]], 
            Spacer[0.5]}]}, 
         Dynamic[-$CellContext`size$$], 
         Dynamic[$CellContext`size$$], ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 10}, {{$CellContext`rby$$, 0, 
          Row[{
            Text[
             Style[
              Subscript[$CellContext`r, $CellContext`By], 12, Italic]], 
            Spacer[2.]}]}, 
         Dynamic[-$CellContext`size$$], 
         Dynamic[$CellContext`size$$], ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 11}, {{$CellContext`rbz$$, 0, 
          Row[{
            Text[
             Style[
              Subscript[$CellContext`r, $CellContext`Bz], 12, Italic]], 
            Spacer[1.]}]}, 
         Dynamic[-$CellContext`size$$], 
         Dynamic[$CellContext`size$$], ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 
         12}, {{$CellContext`showcouple$$, False, 
          Row[{
            Text[
             Style["Show couple moment at point B", 12]], 
            Spacer[50], 
            Text[
             Style["Show", 12]]}]}, {True, False}, ControlPlacement -> 
         13}, {{$CellContext`time$$, 0, 
          Row[{
            Text[
             Style["Move", 12]], 
            Spacer[3], 
            Text[
             Style["F", 12, Italic]], 
            Spacer[3], 
            Text[
             Style["to B", 12]], 
            Spacer[144]}]}, 0, 5, ImageSize -> Tiny, ControlType -> Trigger, 
         AppearanceElements -> {"PlayPauseButton", "ResetButton"}, 
         ControlPlacement -> 14}, 
        Grid[{{
           Row[{
             Manipulate`Place[1], 
             Spacer[77], 
             Manipulate`Place[2]}]}, {
           Row[{
             Manipulate`Place[3]}]}, {
           PaneSelector[{1 -> Column[{
                Row[{
                  Row[{
                    Text[
                    Style["F", 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["location :", 12]], 
                    Spacer[45]}], 
                  Manipulate`Place[4], 
                  Spacer[5.], 
                  Manipulate`Place[5], 
                  Spacer[6.], 
                  Manipulate`Place[6]}], 
                Row[{
                  Row[{
                    Text[
                    Style["F", 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["specification :", 12]], 
                    Spacer[20]}], 
                  Manipulate`Place[7], 
                  Spacer[4.5], 
                  Manipulate`Place[8], 
                  Spacer[5.], 
                  Manipulate`Place[9]}]}], 2 -> Row[{
                Text[
                 Style["B", 12]], 
                Spacer[3], 
                Text[
                 Style["location :", 12]], 
                Spacer[49], 
                Manipulate`Place[10], 
                Spacer[5.5], 
                Manipulate`Place[11], 
                Spacer[6.], 
                Manipulate`Place[12]}], 3 -> Column[{
                Row[{
                  Manipulate`Place[13], 
                  Spacer[50], 
                  Dynamic[
                   If[$CellContext`showcouple$$, $CellContext`temp1 = Row[{
                    Text[
                    Style[
                    Subscript[$CellContext`M, $CellContext`B], 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["=", 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["[", 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style[
                    Dynamic[
                    NumberForm[
                    Part[
                    
                    Cross[({$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} - {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$}) (1 - $CellContext`time$$/
                    5), {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}], 1], {3, 2}]], 12, Italic]], 
                    Spacer[6], 
                    Text[
                    Style[
                    Dynamic[
                    NumberForm[
                    Part[
                    
                    Cross[({$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} - {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$}) (1 - $CellContext`time$$/
                    5), {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}], 2], {3, 2}]], 12, Italic]], 
                    Spacer[6], 
                    Text[
                    Style[
                    Dynamic[
                    NumberForm[
                    Part[
                    
                    Cross[({$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} - {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$}) (1 - $CellContext`time$$/
                    5), {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}], 3], {3, 2}]], 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["]", 12, Italic]]}], 
                    Invisible[$CellContext`temp1]]]}], 
                Row[{
                  Manipulate`Place[14], 
                  Spacer[57], 
                  Dynamic[
                   If[$CellContext`time$$ > 0, $CellContext`temp2 = Row[{
                    Text[
                    Style[
                    Subscript[$CellContext`M, C], 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["=", 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["[", 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style[
                    Dynamic[
                    NumberForm[
                    Part[
                    
                    Cross[({$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} - {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$}) ($CellContext`time$$/
                    5), {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}], 1], {3, 2}]], 12, Italic]], 
                    Spacer[6], 
                    Text[
                    Style[
                    Dynamic[
                    NumberForm[
                    Part[
                    
                    Cross[({$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} - {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$}) ($CellContext`time$$/
                    5), {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}], 2], {3, 2}]], 12, Italic]], 
                    Spacer[6], 
                    Text[
                    Style[
                    Dynamic[
                    NumberForm[
                    Part[
                    
                    Cross[({$CellContext`rax$$, $CellContext`ray$$, \
$CellContext`raz$$} - {$CellContext`rbx$$, $CellContext`rby$$, \
$CellContext`rbz$$}) ($CellContext`time$$/
                    5), {$CellContext`fax$$, $CellContext`fay$$, \
$CellContext`faz$$}], 3], {3, 2}]], 12, Italic]], 
                    Spacer[3], 
                    Text[
                    Style["]", 12, Italic]]}], 
                    Invisible[$CellContext`temp2]]]}]}]}, 
            Dynamic[$CellContext`step$$]]}}, Alignment -> Left, 
         Spacings -> {Automatic, 0.7}]}, 
      "Options" :> {ControlPlacement -> Top}, "DefaultOptions" :> {}],
     ImageSizeCache->{1052., {505., 513.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 TextAlignment->Center,
 FontSize->12]
}, Open  ]]
},
WindowSize->{1920, 997},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification:>1.5 Inherited,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 223, 7, 230, "Title"],
Cell[1712, 44, 4079, 122, 307, "Text"],
Cell[5794, 168, 34821, 838, 1042, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature iwD7bS@M7T5CgDgfOlE#UEke *)
